Subject: [manet] RE: [Ans-research] The Charter

From: Scott Corson <[email-masked]>
Date: Tue, 8 Apr 2003 19:13:59 -0400

> My understanding is that scalability was chosen in part to handle some
> of the research that had previously been submitted to MANET but was
> now out of scope because of the new MANET charter.  The other part was
> because scalability has been far less researched than many 
> other topics.
> There are already some reasonable ideas about what works and doesn't
> work in many areas of ad hoc networking, but little work has been done
> in the area of scalability.  I don't know that IRTF groups 
> are supposed 
> to handle urgent topics.
> 
> I'm speaking from my understanding of how the group was chartered.
> I actually became co-chair after the charter was already in place.
> Hopefuuly Scott can correct anything I said that it inaccurate.

What Elizabeth says is basically correct.  Scalability as a general topic is
fairly immature as a research area, and was also the principle goal of many
of the algorithms no longer in scope of the MANET charter.  That said, IMO
related areas such as QoS, auto-conf, addressing and interlayer interactions
are all part of the unicast puzzle.

For purposes of keeping a (somewhat) more narrowed scope, I believe we
should avoid both multicast and security for the time being.

> 
> 
> ~> Another concern I have on focusing on scalability is how 
> this overlap with
> ~> the current charter of the IETF MANET group. At the San 
> Francisco MANET
> ~> meeting, there was quite a heated disucssion without much 
> resolution on how
> ~> the MANET group proceed on standardizing one or two 
> routing protocols for ad
> ~> hoc networks. One of the suggestion is to come up with a 
> set of network
> ~> scenarios and evaluation metric so that fair evalution can 
> be done on the
> ~> existing protocols. This sounds a bit similar to what the 
> ANS group is about
> ~> to do as the first step, but of course with a focus on 
> scalability. However,
> ~> it wasn't clear to me whether scalability is one of the 
> concern when
> ~> evalauting the existing protocols produced by the MANET 
> group in its effort
> ~> to standardize one or two. So maybe the chairs of these 
> two groups can
> ~> explain exactly how the line is divided here between the 
> work done by two
> ~> groups?

The MANET WG already took the path of quantitative protocol bakeoff in its
early years (research-like phase).  Things were learned, but the approach
led to little engineering consensus.  That type of work is now in the ANS
scope of activities.

The MANET WG future (if it has one) is focused work on two unified
protocols: reactive and proactive.  If the WG cannot come to consensus on
these, then it will cease to exist.

-Scott
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Claude Castelluccia <[email-masked]>
Date: Wed, 09 Apr 2003 09:24:57 +0200

> should avoid both multicast and security for the time being.

Hello Scott,

Do you mean that work on MANET's security should be postponed or should be the
subject
of another WG?...
cheers,

Claude.

--

----------------------------------------
Claude CASTELLUCCIA, INRIA Rhone-Alpes
ph:  +33 4.76.61.52.15 (fax: 52.52)
http://www.inrialpes.fr/planete/